ATA_CHECK_STATUS(9)

NAME
ata_check_status - Read device status reg & clear interrupt

SYNOPSIS

u8 ata_check_status (struct ata_port * ap);

ARGUMENTS

ap  port where the device is

DESCRIPTION

Reads ATA taskfile status register for currently-selected device and return its value. This also clears pending interrupts from this device

May be used as the check_status entry in ata_port_operations.

LOCKING

Inherited from caller.

AUTHOR
Jeff Garzik.